<?php

/**
 * Created by PhpStorm.
 * Date: 2017/3/31
 * Time: 14:02
 */

namespace General\Controllers\CompanyAuth\Transformers;

class UserTransformer
{
    public function transform($item)
    {
        return [
            'id' => $item->id,
            'channel_id' => $item->distribution_channel_id,
            'register_openid' => $item->openid,
            'register_ip' => $item->register_ip,
            'register_time' =>  (string)$item->created_at,
            'ua' => $item->user_env ? $item->user_env->ua : '',
            'app_id' => $item->force_subscribe_user ? $item->force_subscribe_user->appid : '',
            'opend_id' => $item->force_subscribe_user ? $item->force_subscribe_user->openid : '',
            'subscribe_time' => $item->force_subscribe_user ? (string)$item->force_subscribe_user->subscribe_time : '',
        ];
    }
}
