<?php

namespace General\Requests\ChargeReport;

use General\Requests\Request;
use General\Services\BaseAuthConfig;
use Illuminate\Validation\Rule;

class DelBaiDuAccountRequest extends Request
{
    use BaseAuthConfig;
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'phone' => ['required', 'string', Rule::in($this->phones)],
            'id' => 'required|integer',
        ];
    }
}
