<?php

/**
 * Created by PhpStorm.
 * User: tandunzhao
 * Date: 2017/12/4
 * Time: 下午1:43
 */

namespace General\Services\Channel;

use General\Models\Channel\Channel;

class ChannelService
{
    public function getChannelsByChannelUserIds(array $channel_user_ids, $is_enabled, $phone)
    {
        $where = [];
        if ($is_enabled || $is_enabled !== '') {
            $where['is_enabled'] = $is_enabled;
        }

        if ($phone || $phone !== '') {
            $where['phone'] = $phone;
        }

        if ($where) {
            return Channel::whereIn('channel_user_id', $channel_user_ids)->where($where)->get();
        }
        return Channel::whereIn('channel_user_id', $channel_user_ids)->get();
    }
}
