<?php

/**
 * Created by PhpStorm.
 * User: hp
 * Date: 2017/11/21
 * Time: 10:42
 */

namespace General\Services\Order;

use General\Models\Order\Order;
use General\Models\Statistic\OrderDayStats;

class OrderService
{
    /**
     * 三方授权订单数据
     */
    public function companyAuthOrders(array $params)
    {
        if ($params['status']) {
            return Order::IndexRaw('use index (rds_idx_0)')
                ->where('created_at', '>=', $params['begin_date'])
                ->where('created_at', '<=', $params['end_date'])
                ->where('distribution_channel_id', $params['channel_id'])
                ->where('status', $params['status'])
                ->orderBy('id', 'desc')
                ->paginate(100);
        }else {
            return Order::IndexRaw('use index (rds_idx_0)')
                ->where('created_at', '>=', $params['begin_date'])
                ->where('created_at', '<=', $params['end_date'])
                ->where('distribution_channel_id', $params['channel_id'])
                ->orderBy('id', 'desc')
                ->paginate(100);
        }
    }

    public function  companyAuthDayStatistic(array $params)
    {
        return OrderDayStats::select(
            'distribution_channel_id',
            'date',
            'pay_success_user_num',
            'total_recharge_amount',
            'first_recharge_user_num',
            'first_recharge_amount',
            'whole_site_uv',
            'register_user_num',
            'reg_user_first_recharge_user_num',
            'reg_user_first_recharge_amount'
        )
            ->where('date', '>=', $params['begin_date'])
            ->where('date', '<=', $params['end_date'])
            ->where('distribution_channel_id', $params['channel_id'])
            ->orderBy('date', 'desc')
            ->paginate(100);
    }
}
