<?php

namespace General\Controllers\CompanyAuth;


use App\Http\Controllers\Controller;
use General\Controllers\CompanyAuth\Transformers\BaiDuAdAccountTransformer;
use General\Requests\ChargeReport\BaiDuAccountQueryRequest;
use General\Requests\ChargeReport\BaiDuAccountRequest;
use General\Requests\ChargeReport\DelBaiDuAccountRequest;
use General\Services\BaseAuthConfig;
use General\Services\ChargeReport\BaiDuAccountService;

/**
 * 
 */
class AInfoController extends Controller
{
    /**
     * @apiDefine AInfo  对接前必看
     */

    /**
     * @api {post} sign 对接前必看
     * @apiName 对接前必看
     * @apiGroup AInfo
     * @apiDescription
     * 1.签名参考
     * public static function sign($params, $key)
     *  {
     *  $data = $params;
     *  //签名步骤一：按字典序排序参数
     *  ksort($data);
     *  $buff = "";
     *  foreach ($data as $k => $v) {
     *      if ($v != null && $k !== "sign" && $v !== "" && !is_array($v)) {
     *          $buff .= $k . "=" . $v . "&";
     *      }
     *  }
     *  $buff = trim($buff, "&");
     *  //签名步骤二：在string后加入KEY
     *  $string = $buff . "&key=" . $key;
     *  //签名步骤三：MD5加密
     *  $string = md5($string);
     *  //签名步骤四：所有字符转为大写
     *  $result = strtoupper($string);
     *  return $result;
     *  }
     *
     * 2、站点
     * 分销后台登录进去，系统设置->站点列表->id，不是右上角那个数字
     *
     * 3、订单接口
     * 订单接口的openid，这里是关注公众号的openid，只有强关了才有（公众号号是渠道授权的，用户得点击系统返回的带openid的参数的链接，访问后才算强关，或者从强关二维码进来的也算），跟分销后台订单的openid（是平台系统默认的静默登录的openid）不一样，建议用uid做唯一性关联
     *
     * 4、appid和secret
     * 分配的appid和secret是公司级别的，同一个公司下面的站点可以公用此参数，找对应商务要
     *
     * 5、接口白名单
     * 接口有ip白名单限制，把你们的ip发给对应的商务配置好
     */
}
