<?php

namespace General\Requests\ChargeReport;

use General\Services\BaseAuthConfig;
use General\Requests\Request;
use Illuminate\Validation\Rule;

class BaiDuAccountQueryRequest extends Request
{
    use BaseAuthConfig;
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'phone' => ['required', 'string', Rule::in($this->phones)],
        ];
    }
}
