<?php

/**
 * Created by PhpStorm.
 * User: tandunzhao
 * Date: 2017/12/4
 * Time: 下午1:43
 */

namespace General\Services\Book;

use General\Models\Book\BookConfig;
use General\Models\Book\Chapter;

class BookConfigService
{
    /**
     * 查找书籍免费章节
     */
    public function findBookFreeChapters(int $bid)
    {
        $exists = BookConfig::where('is_on_shelf', 2)->where('id', $bid)->exists();
        if ($exists) {
            return Chapter::where('bid', $bid)->where('is_vip', 0)
                ->select('id', 'name', 'next_cid', 'content')
                ->orderBy('sequence')
                ->get();
        }
        return [];
    }
}
